sdpconesetup.c File Reference

Setup the internal data structures needed by the SDPCone object. More...

Go to the source code of this file.

## Functions

int | DSDPBlockInitialize (SDPblk *blk)
| Initialize data structures in one block of the cone.
int | DSDPBlockSetup (SDPblk *blk, int blockj, DSDPVec WY)
| Allocate data structures of one block the cone.
int | DSDPBlockTakeDown (SDPblk *blk)
| Free data structures in one block of the cone.
int | DSDPConeTakeDown (SDPCone sdpcone)
| Free data structure of the cone.
int | DSDPCreateS (DSDPBlockData *, char, int, DSDPVec, DSDPVMat, SDPConeVec, SDPConeVec, DSDPDualMat *, DSDPDualMat *, DSDPDSMat *, void *)
| Create S1, S2, and DS.
int | DSDPDataTransposeInitialize (DSDPDataTranspose *ATranspose)
| Initialize transpose structure for data.
int | DSDPDataTransposeSetup (DSDPDataTranspose *ATranspose, SDPblk *blk, int nblocks, int m)
| Set up transpose structure for data.
int | DSDPDataTransposeTakeDown (DSDPDataTranspose *ATranspose)
| Free transpose structure for data.
int | SDPConeDestroy (SDPCone sdpcone)
| Free data structure of the cone.
int | SDPConeSetup (SDPCone sdpcone, DSDPVec yy0)
| Allocate data structure of the cone.
int | SDPConeSetup2 (SDPCone sdpcone, DSDPVec yy0, DSDPSchurMat M)
| Allocate data structure of the cone.

## Detailed Description

Setup the internal data structures needed by the SDPCone object.

Definition in file sdpconesetup.c.

## Function Documentation

## DSDPBlockInitialize()

int DSDPBlockInitialize | ( | SDPblk * | blk | ) |

Initialize data structures in one block of the cone.

Parameters

  blk | block of semidefinite cone

Definition at line 279 of file sdpconesetup.c.

## DSDPBlockSetup()

int DSDPBlockSetup | ( | SDPblk * | blk,
|  | int | blockj,
|  | DSDPVec | WY
| ) |  |

Allocate data structures of one block the cone.

Parameters

  blk | block in semidefinite cone
  blockj | block number
  WY | sample variable vector.

Definition at line 154 of file sdpconesetup.c.

Referenced by SDPConeSetup2().

## DSDPBlockTakeDown()

int DSDPBlockTakeDown | ( | SDPblk * | blk | ) |

Free data structures in one block of the cone.

Parameters

  blk | block of semidefinite cone

Definition at line 305 of file sdpconesetup.c.

Referenced by DSDPConeTakeDown().

## DSDPConeTakeDown()

int DSDPConeTakeDown | ( | SDPCone | sdpcone | ) |

Free data structure of the cone.

Parameters

  sdpcone | semidefinite cone

Definition at line 328 of file sdpconesetup.c.

Referenced by SDPConeDestroy().

## DSDPCreateS()

int DSDPCreateS | ( | DSDPBlockData * | ADATA,
|  | char | UPLQ,
|  | int | trank,
|  | DSDPVec | WY,
|  | DSDPVMat | T,
|  | SDPConeVec | W1,
|  | SDPConeVec | W2,
|  | DSDPDualMat * | S,
|  | DSDPDualMat * | SS,
|  | DSDPDSMat * | DS,
|  | void * | ctx
| ) |  |

Create S1, S2, and DS.

Parameters

  ADATA | semidefinite block of data.
  UPLQ | such as packed symmetric or upper full symmetric
  trank | rank of data in block
  WY | Work vector
  T | Work matrix.
  W1 | Work vector
  W2 | Work vector
  S | New dual matrix.
  SS | New dual matrix.
  DS | New DS matrix.
  ctx | pointer to structure.

Definition at line 314 of file sdpsss.c.

Referenced by DSDPBlockSetup().

## DSDPDataTransposeInitialize()

int DSDPDataTransposeInitialize | ( | DSDPDataTranspose * | ATranspose | ) |

Initialize transpose structure for data.

Parameters

  ATranspose | transpose structure for data.

Definition at line 15 of file sdpconesetup.c.

Referenced by DSDPDataTransposeTakeDown().

## DSDPDataTransposeSetup()

int DSDPDataTransposeSetup | ( | DSDPDataTranspose * | ATranspose,
|  | SDPblk * | blk,
|  | int | nblocks,
|  | int | m
| ) |  |

Set up transpose structure for data.

Parameters

  ATranspose | transpose structure for data.
  blk | semidefinite blocks
  nblocks | number of blocks
  m | dimension of Y vector.

Definition at line 36 of file sdpconesetup.c.

Referenced by SDPConeSetup().

## DSDPDataTransposeTakeDown()

int DSDPDataTransposeTakeDown | ( | DSDPDataTranspose * | ATranspose | ) |

Free transpose structure for data.

Parameters

  ATranspose | transpose structure for data.

Definition at line 89 of file sdpconesetup.c.

Referenced by DSDPConeTakeDown(), and DSDPDataTransposeSetup().

## SDPConeDestroy()

int SDPConeDestroy | ( | SDPCone | sdpcone | ) |

Free data structure of the cone.

Parameters

  sdpcone | semidefinite cone

Definition at line 350 of file sdpconesetup.c.

## SDPConeSetup()

int SDPConeSetup | ( | SDPCone | sdpcone,
|  | DSDPVec | yy0
| ) |  |

Allocate data structure of the cone.

Parameters

  sdpcone | semidefinite cone
  yy0 | variable vector

Definition at line 249 of file sdpconesetup.c.

## SDPConeSetup2()

int SDPConeSetup2 | ( | SDPCone | sdpcone,
|  | DSDPVec | yy0,
|  | DSDPSchurMat | M
| ) |  |

Allocate data structure of the cone.

Parameters

  sdpcone | semidefinite cone
  yy0 | variable vector
  M | Schur matrix.

Definition at line 224 of file sdpconesetup.c.